plugins {
  kotlin("jvm") version "1.5.10"
}

repositories {
  mavenCentral()
}

val ktlint by configurations.creating

dependencies {
  ktlint("com.pinterest:ktlint:0.41.0")
}

val ktLintTask = tasks.register<JavaExec>("ktlint") {
  group = "verification"
  classpath = ktlint
  mainClass.set("com.pinterest.ktlint.Main")
  args = listOf("src/**/*.kt")
}

tasks.check.configure {
  dependsOn(ktLintTask)
}

val ktLintFormatTask = tasks.register<JavaExec>("ktlintFormat") {
  group = "formatting"
  classpath = ktlint
  mainClass.set("com.pinterest.ktlint.Main")
  args = listOf("-F", "src/**/*.kt")
}
